# pandas.api.indexers.FixedForwardWindowIndexer.get_window_bounds

FixedForwardWindowIndexer.get_window_bounds(num_values=0, min_periods=None, center=None, closed=None)

  Computes the bounds of a window.

  Parameters
    num_values int, default 0

      number of values that will be aggregated over

    window_size int, default 0

      the number of rows in a window

    min_periods int, default None

      min_periods passed from the top level rolling API

    center bool, default None

      center passed from the top level rolling API

    closed str, default None

      closed passed from the top level rolling API

    win_type str, default None

      win_type passed from the top level rolling API

  Returns
    A tuple of ndarray[int64]s, indicating the boundaries of each
    window